#include <Arduino.h>
// #include <esp8266WiFi.h>
#include <SPI.h>
#include <Wire.h>
#include <fdrs_globals.h>
#include <fdrs_node.h>
#include <SD.h>

float readTemp() {
  return 21.0;
}

float readHum() {
  return random(0,100);
}



float data1;
float data2;

void setup() {
    beginFDRS();
    if (!SD.begin(SD_CS)) {
        Serial.println("Fail, verifier que la carte SD est presente.");
        return;
    }
}

void loop() {
    data1 = readHum();
    loadFDRS(data1, HUMIDITY_T);
    data2 = readTemp();
    loadFDRS(data2, TEMP_T);
    sendFDRS();

    File dataFile = SD.open(LOG_FILENAME, FILE_WRITE);
    if (dataFile) {
        DBG("SD OK");
        dataFile.print("[{\"id\":");
        dataFile.print(READING_ID);
        dataFile.print(",\"type\":");
        dataFile.print(HUMIDITY_T);
        dataFile.print(",\"data\":");
        dataFile.print(data1);
        dataFile.print("},{\"id\":");
        dataFile.print(READING_ID);
        dataFile.print(",\"type\":");
        dataFile.print(TEMP_T);
        dataFile.print(",\"data\":");
        dataFile.print(data2);
        dataFile.println("}]");
        dataFile.close();
    }else{
        DBG("SD fail");
    }

    // [{"id":2,"type":3,"data":66},{"id":2,"type":1,"data":21}]
    sleepFDRS(10);  //Sleep time in seconds
}
